こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

ojdbc7とOracleのバージョンについて

JDK 1.7を使っているアプリケーションサーバとOracle 11gR2のデータベースサーバ間で使用するJDBCドライバのバージョンについて教えて下さい。ojdb6.jarというものと、ojdbc7.jarというものがありますがどちらのバージョンを使用するかは何によって決まるものでしょうか?

Oracleのバージョンが11gであるということは必然的にojdb6.jarを使わなければならないのでしょうか? Oracle12cでもojbc7.jarを使用してもよいのでしょうか?変な質問でしたらすみません。

投稿日時 - 2016-03-14 11:11:53

QNo.9142841

暇なときに回答ください

質問者が選んだベストアンサー

基本的には使っているJDKのバージョンによります。JDK6(JDK 1.6)を利用されているのであれば ojdbc6.jar を、JDK7(JDK 1.7)を利用されているのではれば ojdbc7.jar を使うことになると思います。

Oracle DB 11gR2側としては JDK5(JDK 1.5) or JDK6(JDK 1.6) がサポート対象ですが、純正JDBCドライバならJDK8(JDK 1.8)JDK7(JDK 1.7)およびJDK6(JDK 1.6)で概ね利用できるかもしません。(私自身はJDK1.7+Oracle DB11gR2での利用経験はないのですみません)

http://www.oracle.com/technetwork/apps-tech/jdbc-112010-090769.html

OracleDB 12c であれば JDK7(JDK 1.7)はサポート対象だったはずですので ojbc7.jar を利用いただけると思います。

投稿日時 - 2016-03-14 13:05:10

お礼

ご回答有難うございました。参考になりました。

投稿日時 - 2016-03-29 14:30:56

ANo.1

このQ&Aは役に立ちましたか?

0人が「このQ&Aが役に立った」と投票しています

回答(1)

あなたにオススメの質問